{ config, lib, pkgs, ... }:

{
  # Pull changes from git repos
  systemd.user.services.git-pull = {
    description = "Pull git repositories";
    wantedBy = [ "default.target" ];
    path = with pkgs; [ git ];
    script = ''
      base_folder=/vault/code
      cd "$base_folder" || exit
      ls | xargs -P10 -I{} git -C {} pull --rebase
    '';
    serviceConfig = { Type = "oneshot"; };
  };

  systemd.user.timers.doom-upgrade = {
    description = "Daily code update";
    wantedBy = [ "default.target" ];
    timerConfig = {
      OnCalendar = "22:00:00";
      Unit = "git-pull.service";
    };
  };
}
